Bug 32282 - App Center - Buy Button/Link
App Center - Buy Button/Link
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Felix Botner
: interim-2
Depends on:
Blocks: 32594
  Show dependency treegraph
 
Reported: 2013-08-21 11:17 CEST by Stefan Gohmann
Modified: 2013-11-19 06:44 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments
Propositon for additional button icon. (60.54 KB, image/png)
2013-08-27 17:36 CEST, Alexander Kläser
Details
Propositon for additional status icon in overview. (68.68 KB, image/png)
2013-08-27 17:39 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-08-21 11:17:51 CEST
A Admin in UMC should be able to click a buy button/link. Than the app center should connect via SSL/TLS to shop.univention.com and sends the following data via http post:
 - App ID of the App
 - Key ID
 - UCS version
 - App version
 - Language of the UMC login
 - user count (optional)
 - computer count (optional)

The optional data should only be transferred if they are already available.

In the next step shop.univention.com displays an order page or a login page.

The buy button/link should be available only if it is enabled in the ini file. The button/link should be shown on the app detailed page and also on the app module page after the installation.
Comment 1 Stefan Gohmann univentionstaff 2013-08-21 11:18:15 CEST
It should be back ported to 3.1-1-errata.
Comment 2 Alexander Kläser univentionstaff 2013-08-27 17:36:11 CEST
Created attachment 5399 [details]
Propositon for additional button icon.

IMHO the label "Shop" is more correct than "Buy" (which could also be a bit too fast).
Comment 3 Alexander Kläser univentionstaff 2013-08-27 17:39:12 CEST
Created attachment 5400 [details]
Propositon for additional status icon in overview.

An additional status icon (maybe only in UCS 3.2) which is only visible on hover could provide a direct link to the shop page for the particular product.

The icon is from http://iconmonstr.com/shopping-cart-3-icon/ .
Comment 4 Dirk Wiesenthal univentionstaff 2013-09-13 18:04:01 CEST
Added that icon, renamed to "Shop", but no status icon.

  user count (optional)
  computer count (optional)
are always empty
Comment 5 Felix Botner univentionstaff 2013-09-20 12:37:05 CEST
FAIL - Add default for ShopURL to https://shop.univention.com

OK - Shop link is provided if UseShop=True is set in the ini File, the link 
     destination can be set with ShopURL

OK - Shop link for installed apps and detailed paged in the appcenter 
     (non-installed app)

OK - http post paramter 

Array
(
    [ucs_version] => 3.2
    [app_id] => zarafa
    [key_id] => 75129e0f-404c-4b74-a2a4-16575a12129a
    [app_version] => 7.1.5-1
    [locale] => de
)
Comment 6 Dirk Wiesenthal univentionstaff 2013-09-20 12:39:43 CEST
(In reply to Felix Botner from comment #5)
> FAIL - Add default for ShopURL to https://shop.univention.com
> 

Added in
  univention-management-console-module-appcenter 3.0.37-1.196.201309201237
Comment 7 Felix Botner univentionstaff 2013-09-20 12:49:21 CEST
OK - default for ShopURL to https://shop.univention.com

OK - Changelog
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:44:26 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".